#!/usr/bin/env python

import sys

# Bail if python < 2.6
if  sys.version_info > (2, 6,) :
    print "Python version is compatible with this module"
else:
    print "ERROR: Python 2.6.x + is required for this module"
    sys.exit(1)

try:
    from setuptools import setup
except ImportError:
    # use shipped ez_setup
    import thirdparty.ez_setup
    thirdparty.ez_setup.use_setuptools()
    from setuptools import setup


# collect missing dependencies
deps = []


try:
    import argparse
except ImportError:
    # use backport for python 2.6
    deps.append('argparse')

try:
    from collections import OrderedDict
except ImportError:
    # use backport for python 2.6
    deps.append('OrderedDict')

try:
    import json
except ImportError:
    # use backport for python 2.6
    deps.append('simplejson')

try:
    import requests
except ImportError:
    deps.append('requests')


setup(  name='seedme',
        version="0.9.3",
        author='Amit Chourasia',
        description='Upload utility for SeedMe.org',
        #long_description=open('README.md').read(),
        #license=open('LICENSE.txt').read(),
        url="https://www.seedme.org/downloads",
        install_requires=deps,
        entry_points = {"console_scripts": ["seedme = seedme:main"]},
        py_modules = ['seedme'],
        scripts = ['seedme.py'],
     )
